Subject: Re: [Ips] iSCSI: When does a connection become part of a session?

From: Julian Satran <[email-masked]>
Date: Tue, 30 Mar 2004 02:34:52 +0200

Eddy,

It does not look to me that an errata is needed. As Login is made of 
immediate commands you may keep ExpCmdSN/MaxCmdSN at CmdSN value on the 
connection and the protocol will work (if you are security conscious). You 
may even keep them all 0.

Julo

"Eddy Quicksall" <[email-masked]> 
Sent by: [email-masked]
09/01/04 19:21

To
"Paul Koning" <[email-masked]>, <[email-masked]>
cc
<[email-masked]>, <[email-masked]>
Subject
Re: [Ips] iSCSI: When does a connection become part of a session?

It seems that everyone agrees that ExpCmdSN and MaxCmdSN should not be
reported during security stage. But the spec does not say that and does 
not
even imply that.

I think there needs to be an errata to the spec to specifically say this.

Eddy

----- Original Message ----- 
From: "Paul Koning" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Friday, January 09, 2004 10:05 AM
Subject: Re: [Ips] iSCSI: When does a connection become part of a session?

> >>>>> "Mallikarjun" == Mallikarjun C <[email-masked]> writes:
>
>  >> Also, our target expects StatSN (and ExpStatSN) to be handled
>  >> correctly even in login. As StatSN is connection-specific, I see
>  >> no session nor security problems with this. :-)
>
>  Mallikarjun> Agreed.
>
>  >> Does anyone see a security implication of the target leaking
>  >> MaxCmdSN and ExpCmdSN?
>
>  Mallikarjun> I think inadvertent revealing of current ExpCmdSN even
>  Mallikarjun> before the security negotiation stage allows an attacker
>  Mallikarjun> to gain insights into traffic volumes - he can
>  Mallikarjun> periodically use this to get snapshots of the ExpCmdSN
>  Mallikarjun> value.
>
> Traffic analysis is probably more easily done by watching existing
> connections than by active attack.  But I'd agree that this is
> possible.
>
> The other issue, I think, is that ExpCmdSN is one of the pieces of
> state you need to succeed in connection hijacking.  For that reason,
> it would be better not to reveal it until authentication is done.
>
> As a design principle, it would make sense to say that the security
> handshake portion of the login procedures contains NOTHING other than
> the data required for the security machinery.
>
>     paul
>
>
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips